Subject: Re: What's cooking in git.git (Dec 2025, #02)

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Dec 2025 08:10:52 +0900

Karthik Nayak <[email-masked]> writes:

>> * kn/ref-location (2025-12-01) 2 commits
>>  - refs: add GIT_REF_URI to specify reference backend and directory
>>  - refs: support obtaining ref_store for given dir
>>
>>  A mechanism to specify what reference backend to use and store
>>  references in which directory is introduced, which would likely to
>>  be useful during ref migration.
>>
>>  Comments?
>>  source: <[email-masked]>
>
> I'm currently on leave. While I do plan to work on this, my next version
> which is based on Patricks recent review will be a bit delayed.

Understood.  Thanks for a note.

>> * kn/fix-fetch-backfill-tag-with-batched-ref-updates (2025-11-21) 3 commits
>>  - fetch: fix failed batched updates skipping operations
>>  - fetch: fix non-conflicting tags not being committed
>>  - fetch: extract out reference committing logic
>>
>>  "git fetch" that involves fetching tags, when a tag being fetched
>>  needs to overwrite existing one, failed to fetch other tags, which
>>  has been corrected.
>>
>>  Expecting a (hopefully small and final) reroll.
>>  cf. <CAOLa=[email-masked]>
>>  source: <[email-masked]>
>
> The only change needed from the last review was a typo. I think we should be
> good as is.

Meaning that we prefer to leave the typo in, or just we won't die
with a known typo?